import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import Info from './index';

class App extends React.Component {
  state = {
    authors: [
      {
        link: 'https://politico.com',
        name: 'First Lastname',
      },
      {
        link: 'https://politico.com',
        name: 'First Lastname',
      },
      {
        link: 'https://politico.com',
        name: 'First Lastname',
      },
    ],
    published: new Date('January 1, 1970 9:00:00').toISOString(),
    updated: new Date('January 1, 1970 17:00:00').toISOString(),
  }

  render() {
    return (
      <Page title='Info'>
        <Info {...this.state} />
        <CodeBlock
          value={`import { Info } from '@politico/interactive-style';

const authors = [
  {
    link: 'https://politico.com',
    name: 'First Lastname',
  },
  {
    link: 'https://politico.com',
    name: 'First Lastname',
  },
  {
    link: 'https://politico.com',
    name: 'First Lastname',
  },
];

const published = new Date('January 1, 1970 9:00:00').toISOString();
const updated = new Date('January 1, 1970 17:00:00').toISOString();

<Info authors={authors} published={published} updated={updated}/>
        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
