import React from 'react';
import ReactDOM from 'react-dom';
import Page from 'Common/Page/';
import CodeBlock from 'Common/CodeBlock';

import SkipNav, { SkipToMainContent, SkipToSitemap } from './index';

class App extends React.Component {
  render() {
    return (
      <Page title='Share'>
        <SkipNav />
        <p>
          Press the tab button until you've selected the skip navigation links in the top left corner or <a href='#codeexample'>Skip to the code example.</a>
        </p>

        <div style={{ width: '100%', height: '500px' }} />
        <SkipToMainContent />
        <h4>Main Content</h4>
        <div style={{ width: '100%', height: '500px' }} />
        <SkipToSitemap />
        <h4>Sitemap Footer</h4>
        <div style={{ width: '100%', height: '500px' }} />
        <div id='codeexample' />
        <CodeBlock
          value={`import { SkipNav, SkipToMainContent, SkipToSitemap } from '@politico/interactive-style';
// Should go at the top of your page
<SkipNav />

// Should go right above your content
<SkipToMainContent />

// Should go right above your sitemap footer
// (this is already included if you're using this libraries <Footer /> component)
<SkipToSitemap />

        `}
        />
      </Page>
    );
  }
}

export default App;

ReactDOM.render(<App />, document.getElementById('app'));
