import React from 'react';
import classnames from 'classnames';

import styles from './styles.scss';

class SkipNav extends React.PureComponent {
  render() {
    return (
      <div className={classnames('skipnav-container', styles.styles)}>
        <div className='skipnav'>
          <a href='#maincontent'>Skip to main content</a>{' '}
          <a href='#sitemap'>Skip to footer site map</a>
        </div>
      </div>
    );
  }
}

export default SkipNav;

export const SkipToMainContent = () => {
  return (<div id='maincontent' tabIndex='-1' />);
};

export const SkipToSitemap = () => {
  return (<div id='sitemap' tabIndex='-1' />);
};
